Package org.apache.commons.codec.language

# Class Caverphone2

java.lang.Object
org.apache.commons.codec.language.AbstractCaverphone
org.apache.commons.codec.language.Caverphone2

All Implemented Interfaces:
  `Encoder`, `StringEncoder`

public class Caverphone2 extends AbstractCaverphone
Encodes a string into a Caverphone 2.0 value. This is an algorithm created by the Caversham Project at the University of Otago. It implements the Caverphone 2.0 algorithm:

Since:
  1.5

  This class is immutable and thread-safe.

See Also:
  - Wikipedia - Caverphone
  - Caverphone 2.0 specification

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Caverphone2()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encode(String source)`
  Encodes the given String into a Caverphone 2.0 value.

  ### Methods inherited from class org.apache.commons.codec.language.AbstractCaverphone

  `encode, isEncodeEqual`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Caverphone2

    public Caverphone2()
    Constructs a new instance.

- ## Method Details

  - ### encode

    public String encode(String source)
    Encodes the given String into a Caverphone 2.0 value.
    Parameters:
      `source` - String the source string
    Returns:
      A Caverphone code for the given String